Skip to main content
GET
Get Households Telemetry Current

Authorizations

x-api-key
string
header
required

API Key authentication. Enter your API key in the format: YOUR_API_KEY

Query Parameters

limit
integer
default:1000

The maximum number of items to return per page of results.

This should be used together with the next_token parameter to paginate through results.

Read the pagination parameter documentation for more details.

Required range: 1 <= x <= 1000
next_token
string | null

The next_token is a token used to retrieve the next page of results when there are more results than can fit in a single page(=API response).

By default, the API will return a next_token of the first page if no token was given as a parameter.

If the token is null you have reached the end of the results.

This should be used together with the limit parameter to paginate through results.

To get all results of your call, you can keep calling the same API call with the previously returned next_token until it returns null.

household_id
string | null

The ID of the household to filter on. If not provided, all households are returned.

user_id
string | null

Your own ID of the user to filter on: the ID you use internally for this user, whether you are an energy supplier, an OEM or another partner. If not provided, all users are returned.

Response

Successful response

data
HouseholdTelemetryCurrent · object[] | null

List of household telemetry

meta
HouseholdTelemetryCurrentMeta · object | null

Response metadata